--- title: "Get domain" slug: "analytics-cloudsearch-getdomain" updated: 2026-09-17T09:48:05Z published: 2026-09-17T09:48:05Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-getdomain" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get domain **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Gets all domains. ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain ``` ## Request ### Request Parameters | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | haveContainer | Y | boolean | | Indicates whether to get container information. | | haveUsgae | Y | boolean | | Indicates whether to get domain usage information. | ## Response | Field | Required | Type | Description | Note | | --- | --- | --- | --- | --- | | [].autoCompleteChangeable | Y | string | Indicates whether autocomplete indexes are changeable. | ENABLE, DISABLE | | [].autocompleteSchema | Y | [AutoCompleteSchema](/docs/en/common-apidatatype-csautocompleteschema) | Autocomplete status | | | [].containerChangeable | Y | string | Indicates whether search containers are changeable. | ENABLE, DISABLE | | [].containers | Y | List<[Container](/docs/en/common-apidatatype-cscontainer)> | Container information | | | [].createdDate | Y | string | Domain creation time | | | [].description | Y | string | Domain description | | | [].domainStatus | Y | string | Service status | | | [].domainUsage | Y | [DomanUsage](/docs/en/common-apidatatype-csdomainusage) | Domain usage | | | [].indexerCount | Y | number | Number of containers for indexes | | | [].name | Y | string | Domain name | | | [].schema.document | Y | [Schema](/docs/en/common-apidatatype-csschema) | | Search settings | | [].schemaChangeable | Y | string | Indicates whether schemas are changeable. | ENABLE, DISABLE | | [].searcherCount | Y | number | Number of containers for searches | | | [].type | Y | string | Container type | small, medium, large, xlarge, xxlarge, xxxlarge | | [].updatedDate | Y | string | Last update time | | ### Response status | HTTP status | Description | | --- | --- | | 200 | OK (Successfully completed) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request Example ``` GET /CloudSearch/real/v1/domain Host: cloudsearch.apigw.ntruss.com haveContainer: false haveUsage: false accept: application/json x-ncp-iam-access-key: cPMl0CYGgRYvEa8sylCj x-ncp-apigw-signature-v2: nn6HxvbYlXzuDBLYG8qNdz4Z7Y6qs+l5EX8BmGwI/EI= x-ncp-apigw-timestamp: 1551436817715 ``` ### Request Example ``` [ { "name": "my_service", "description": "description", "domainStatus": "RUNNING", "containerChangeable": "ENABLE", "schemaChangeable": "ENABLE", "autoCompleteChangeable": "ENABLE", "type": "small", "indexerCount": 1, "searcherCount": 1, "schema": { "document": { "primarySectionName": "docid", "sections": [ { "name": "docid" }, { "name": "brand" }, { "name": "name" }, { "docProperties": [ { "type": "string", "name": "dp_color" } ], "name": "color" }, { "docProperties": [ { "type": "uint32", "name": "dp_price" } ], "name": "price" }, { "docProperties": [ { "type": "string", "name": "dp_type" } ], "name": "type" }, { "docProperties": [ { "type": "uint32", "name": "dp_sell_cnt" } ], "name": "sell_cnt" }, { "name": "image_url" } ], "indexes": [ { "documentTermWeight": "sum_wgt", "buildInfos": [ { "indexProcessors": [ { "type": "hanaterm", "method": "sgmt", "option": "+korea +josacat +eomicat" } ], "sectionTermWeight": "1.0 * stw_2p(tf, 0.5, 0.25, 0., length / 128.0)", "sections": [ "brand", "name" ], "name": "index_build" } ], "name": "brand_name" } ] } }, "autocompleteSchema": null, "createdDate": "2019-02-28T10:28:33.795Z", "updatedDate": "2019-02-28T10:28:39.000Z" } ] ```